<!DOCTYPE html>
<html>
	<head> 
		<title> Activity 1</title>
		<body>
			<i> Science and Engineering Ethics (2001) 7, 231-238</i>
			<hr>
			<h1>Software Engineering Code of Ethics and Professional Practice</h1>
			<h3> IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
			<hr>
			<p><strong> Keywords:</strong> code of ethics, professional responsibility, software engineering</p>
			
			<h3> PREAMBLE</h3>
			<p> The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are inluded in the full version give examples and details of how these aspirations change the way we act as a software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.</p>
			
			<p> Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance of software a beneficial and respected profession. In accordance with their committment to the health, safety and welfare of the pulic, software engineers  shall adhere to the following eight principles</p>
			<h3> PRINCIPLES</h3>
			<ol>
				<li><i> Public.</i> Software engineers shall act consistently with the public interest.</li>
				<li><i> Client and employer.</i> Software engineers shall act in a manner that is in the best inrterests of their client and employer, consistent with the public interest.</li>
				<li><i>Product.</i> Software engineers shall ensure that their products and related modifications meer the highest professional standards possible.</li>
				<li>Judgment.<i></i>Software engineers shall maintain integrity and independence in their professional judgment.</li>
				<li><i>Management.</i>Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
				<li><i>Profession.</i>Software engineers shall advance the integrity and reputation of theprofession consistent with the public interest.</li>
				<li><i>Colleagues.</i>Software engineers shall be fair to and supportive of their colleagues.</li>
				<li><i>Self.</i>Software engineers shall participate in lifelong learning regarding the practice of the profession.</li>
			</ol>
		</body>
	</html>			
				

